Update Processor
curl --request POST \
--url https://api-prod.extend.app/processors/:id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {}
}
'import requests
url = "https://api-prod.extend.app/processors/:id"
payload = {
"name": "<string>",
"config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', config: {}})
};
fetch('https://api-prod.extend.app/processors/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"processor": {
"object": "document_processor",
"id": "processor_1234",
"name": "Updated Invoice Processor",
"type": "EXTRACT",
"createdAt": "2024-03-01T12:00:00Z",
"updatedAt": "2024-03-01T13:00:00Z",
"draftVersion": {
"id": "dpv_4567",
"version": "draft",
"config": {
// Config object - see “Processor configs” for details
}
}
}
}
Processor Endpoints
Update Processor
Update an existing processor in Extend.
Update Processor
This endpoint allows you to update the properties of an existing processor.
Path Parameters
string
required
The ID of the processor to update.
Body
string
The new name for the processor.
object
The new configuration for the processor. See the Processor
Configs guide for more details.
Response
boolean
A true or false value indicating whether the processor was updated
successfully or not.
DocumentProcessor
A DocumentProcessor object representing the updated processor. See the
DocumentProcessor object for more details.
Error Responses
boolean
Will be
false if the request failed.string
A description of the error that occurred.
{
"success": true,
"processor": {
"object": "document_processor",
"id": "processor_1234",
"name": "Updated Invoice Processor",
"type": "EXTRACT",
"createdAt": "2024-03-01T12:00:00Z",
"updatedAt": "2024-03-01T13:00:00Z",
"draftVersion": {
"id": "dpv_4567",
"version": "draft",
"config": {
// Config object - see “Processor configs” for details
}
}
}
}

